/* DO NOT EDIT: This file is automatically generated by Cabal */

/* package arithm-1.0 */
#ifndef VERSION_arithm
#define VERSION_arithm "1.0"
#endif /* VERSION_arithm */
#ifndef MIN_VERSION_arithm
#define MIN_VERSION_arithm(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  0 || \
  (major1) == 1 && (major2) == 0 && (minor) <= 0)
#endif /* MIN_VERSION_arithm */

/* package base-4.12.0.0 */
#ifndef VERSION_base
#define VERSION_base "4.12.0.0"
#endif /* VERSION_base */
#ifndef MIN_VERSION_base
#define MIN_VERSION_base(major1,major2,minor) (\
  (major1) <  4 || \
  (major1) == 4 && (major2) <  12 || \
  (major1) == 4 && (major2) == 12 && (minor) <= 0)
#endif /* MIN_VERSION_base */

/* tool gcc-8.3.0 */
#ifndef TOOL_VERSION_gcc
#define TOOL_VERSION_gcc "8.3.0"
#endif /* TOOL_VERSION_gcc */
#ifndef MIN_TOOL_VERSION_gcc
#define MIN_TOOL_VERSION_gcc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  3 || \
  (major1) == 8 && (major2) == 3 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_gcc */

/* tool ghc-8.6.5 */
#ifndef TOOL_VERSION_ghc
#define TOOL_VERSION_ghc "8.6.5"
#endif /* TOOL_VERSION_ghc */
#ifndef MIN_TOOL_VERSION_ghc
#define MIN_TOOL_VERSION_ghc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  6 || \
  (major1) == 8 && (major2) == 6 && (minor) <= 5)
#endif /* MIN_TOOL_VERSION_ghc */

/* tool ghc-pkg-8.6.5 */
#ifndef TOOL_VERSION_ghc_pkg
#define TOOL_VERSION_ghc_pkg "8.6.5"
#endif /* TOOL_VERSION_ghc_pkg */
#ifndef MIN_TOOL_VERSION_ghc_pkg
#define MIN_TOOL_VERSION_ghc_pkg(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  6 || \
  (major1) == 8 && (major2) == 6 && (minor) <= 5)
#endif /* MIN_TOOL_VERSION_ghc_pkg */

/* tool haddock-2.22.0 */
#ifndef TOOL_VERSION_haddock
#define TOOL_VERSION_haddock "2.22.0"
#endif /* TOOL_VERSION_haddock */
#ifndef MIN_TOOL_VERSION_haddock
#define MIN_TOOL_VERSION_haddock(major1,major2,minor) (\
  (major1) <  2 || \
  (major1) == 2 && (major2) <  22 || \
  (major1) == 2 && (major2) == 22 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_haddock */

/* tool hpc-0.67 */
#ifndef TOOL_VERSION_hpc
#define TOOL_VERSION_hpc "0.67"
#endif /* TOOL_VERSION_hpc */
#ifndef MIN_TOOL_VERSION_hpc
#define MIN_TOOL_VERSION_hpc(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  67 || \
  (major1) == 0 && (major2) == 67 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_hpc */

/* tool hsc2hs-0.68.5 */
#ifndef TOOL_VERSION_hsc2hs
#define TOOL_VERSION_hsc2hs "0.68.5"
#endif /* TOOL_VERSION_hsc2hs */
#ifndef MIN_TOOL_VERSION_hsc2hs
#define MIN_TOOL_VERSION_hsc2hs(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  68 || \
  (major1) == 0 && (major2) == 68 && (minor) <= 5)
#endif /* MIN_TOOL_VERSION_hsc2hs */

/* tool pkg-config-0.29.2 */
#ifndef TOOL_VERSION_pkg_config
#define TOOL_VERSION_pkg_config "0.29.2"
#endif /* TOOL_VERSION_pkg_config */
#ifndef MIN_TOOL_VERSION_pkg_config
#define MIN_TOOL_VERSION_pkg_config(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  29 || \
  (major1) == 0 && (major2) == 29 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_pkg_config */

/* tool runghc-8.6.5 */
#ifndef TOOL_VERSION_runghc
#define TOOL_VERSION_runghc "8.6.5"
#endif /* TOOL_VERSION_runghc */
#ifndef MIN_TOOL_VERSION_runghc
#define MIN_TOOL_VERSION_runghc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  6 || \
  (major1) == 8 && (major2) == 6 && (minor) <= 5)
#endif /* MIN_TOOL_VERSION_runghc */

/* tool strip-2.31 */
#ifndef TOOL_VERSION_strip
#define TOOL_VERSION_strip "2.31"
#endif /* TOOL_VERSION_strip */
#ifndef MIN_TOOL_VERSION_strip
#define MIN_TOOL_VERSION_strip(major1,major2,minor) (\
  (major1) <  2 || \
  (major1) == 2 && (major2) <  31 || \
  (major1) == 2 && (major2) == 31 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_strip */

#ifndef CURRENT_PACKAGE_KEY
#define CURRENT_PACKAGE_KEY "arithm-1.0-I74XIYE5Pl2HbiZUxH7mwV"
#endif /* CURRENT_PACKAGE_KEY */
#ifndef CURRENT_COMPONENT_ID
#define CURRENT_COMPONENT_ID "arithm-1.0-I74XIYE5Pl2HbiZUxH7mwV"
#endif /* CURRENT_COMPONENT_ID */
#ifndef CURRENT_PACKAGE_VERSION
#define CURRENT_PACKAGE_VERSION "1.0"
#endif /* CURRENT_PACKAGE_VERSION */

#undef CURRENT_PACKAGE_KEY
#undef CURRENT_COMPONENT_ID
/* DO NOT EDIT: This file is automatically generated by Cabal */

/* package arithm-1.0 */
#ifndef VERSION_arithm
#define VERSION_arithm "1.0"
#endif /* VERSION_arithm */
#ifndef MIN_VERSION_arithm
#define MIN_VERSION_arithm(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  0 || \
  (major1) == 1 && (major2) == 0 && (minor) <= 0)
#endif /* MIN_VERSION_arithm */

/* package arithm-1.0 */
#ifndef VERSION_arithm
#define VERSION_arithm "1.0"
#endif /* VERSION_arithm */
#ifndef MIN_VERSION_arithm
#define MIN_VERSION_arithm(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  0 || \
  (major1) == 1 && (major2) == 0 && (minor) <= 0)
#endif /* MIN_VERSION_arithm */

/* package base-4.12.0.0 */
#ifndef VERSION_base
#define VERSION_base "4.12.0.0"
#endif /* VERSION_base */
#ifndef MIN_VERSION_base
#define MIN_VERSION_base(major1,major2,minor) (\
  (major1) <  4 || \
  (major1) == 4 && (major2) <  12 || \
  (major1) == 4 && (major2) == 12 && (minor) <= 0)
#endif /* MIN_VERSION_base */

/* tool gcc-8.3.0 */
#ifndef TOOL_VERSION_gcc
#define TOOL_VERSION_gcc "8.3.0"
#endif /* TOOL_VERSION_gcc */
#ifndef MIN_TOOL_VERSION_gcc
#define MIN_TOOL_VERSION_gcc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  3 || \
  (major1) == 8 && (major2) == 3 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_gcc */

/* tool ghc-8.6.5 */
#ifndef TOOL_VERSION_ghc
#define TOOL_VERSION_ghc "8.6.5"
#endif /* TOOL_VERSION_ghc */
#ifndef MIN_TOOL_VERSION_ghc
#define MIN_TOOL_VERSION_ghc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  6 || \
  (major1) == 8 && (major2) == 6 && (minor) <= 5)
#endif /* MIN_TOOL_VERSION_ghc */

/* tool ghc-pkg-8.6.5 */
#ifndef TOOL_VERSION_ghc_pkg
#define TOOL_VERSION_ghc_pkg "8.6.5"
#endif /* TOOL_VERSION_ghc_pkg */
#ifndef MIN_TOOL_VERSION_ghc_pkg
#define MIN_TOOL_VERSION_ghc_pkg(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  6 || \
  (major1) == 8 && (major2) == 6 && (minor) <= 5)
#endif /* MIN_TOOL_VERSION_ghc_pkg */

/* tool haddock-2.22.0 */
#ifndef TOOL_VERSION_haddock
#define TOOL_VERSION_haddock "2.22.0"
#endif /* TOOL_VERSION_haddock */
#ifndef MIN_TOOL_VERSION_haddock
#define MIN_TOOL_VERSION_haddock(major1,major2,minor) (\
  (major1) <  2 || \
  (major1) == 2 && (major2) <  22 || \
  (major1) == 2 && (major2) == 22 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_haddock */

/* tool hpc-0.67 */
#ifndef TOOL_VERSION_hpc
#define TOOL_VERSION_hpc "0.67"
#endif /* TOOL_VERSION_hpc */
#ifndef MIN_TOOL_VERSION_hpc
#define MIN_TOOL_VERSION_hpc(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  67 || \
  (major1) == 0 && (major2) == 67 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_hpc */

/* tool hsc2hs-0.68.5 */
#ifndef TOOL_VERSION_hsc2hs
#define TOOL_VERSION_hsc2hs "0.68.5"
#endif /* TOOL_VERSION_hsc2hs */
#ifndef MIN_TOOL_VERSION_hsc2hs
#define MIN_TOOL_VERSION_hsc2hs(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  68 || \
  (major1) == 0 && (major2) == 68 && (minor) <= 5)
#endif /* MIN_TOOL_VERSION_hsc2hs */

/* tool pkg-config-0.29.2 */
#ifndef TOOL_VERSION_pkg_config
#define TOOL_VERSION_pkg_config "0.29.2"
#endif /* TOOL_VERSION_pkg_config */
#ifndef MIN_TOOL_VERSION_pkg_config
#define MIN_TOOL_VERSION_pkg_config(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  29 || \
  (major1) == 0 && (major2) == 29 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_pkg_config */

/* tool runghc-8.6.5 */
#ifndef TOOL_VERSION_runghc
#define TOOL_VERSION_runghc "8.6.5"
#endif /* TOOL_VERSION_runghc */
#ifndef MIN_TOOL_VERSION_runghc
#define MIN_TOOL_VERSION_runghc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  6 || \
  (major1) == 8 && (major2) == 6 && (minor) <= 5)
#endif /* MIN_TOOL_VERSION_runghc */

/* tool strip-2.31 */
#ifndef TOOL_VERSION_strip
#define TOOL_VERSION_strip "2.31"
#endif /* TOOL_VERSION_strip */
#ifndef MIN_TOOL_VERSION_strip
#define MIN_TOOL_VERSION_strip(major1,major2,minor) (\
  (major1) <  2 || \
  (major1) == 2 && (major2) <  31 || \
  (major1) == 2 && (major2) == 31 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_strip */

#ifndef CURRENT_COMPONENT_ID
#define CURRENT_COMPONENT_ID "arithm-1.0-4AhmoM8rKai8AKjs5PiXl6-arithm-cli"
#endif /* CURRENT_COMPONENT_ID */
#ifndef CURRENT_PACKAGE_VERSION
#define CURRENT_PACKAGE_VERSION "1.0"
#endif /* CURRENT_PACKAGE_VERSION */

#undef CURRENT_PACKAGE_KEY
#undef CURRENT_COMPONENT_ID
